import request from '@/utils/request'

// 查询模拟考试题目列表
export function listExamSubjectSimulate(query) {
  return request({
    url: '/hezhi/examSubjectSimulate/list',
    method: 'get',
    params: query
  })
}

// 查询模拟考试题目详细
export function getExamSubjectSimulate(examSubjectSimulateId) {
  return request({
    url: '/hezhi/examSubjectSimulate/' + examSubjectSimulateId,
    method: 'get'
  })
}

// 新增模拟考试题目
export function addExamSubjectSimulate(data) {
  return request({
    url: '/hezhi/examSubjectSimulate',
    method: 'post',
    data: data
  })
}

// 修改模拟考试题目
export function updateExamSubjectSimulate(data) {
  return request({
    url: '/hezhi/examSubjectSimulate',
    method: 'put',
    data: data
  })
}

// 删除模拟考试题目
export function delExamSubjectSimulate(examSubjectSimulateId) {
  return request({
    url: '/hezhi/examSubjectSimulate/' + examSubjectSimulateId,
    method: 'delete'
  })
}
